org.springframework.beans.factory

## Class BeanDefinitionStoreException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.beans.BeansException
          - - org.springframework.beans.FatalBeanException
            - - org.springframework.beans.factory.BeanDefinitionStoreException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  BeanDefinitionParsingException, XmlBeanDefinitionStoreException

    public class BeanDefinitionStoreException
    extends FatalBeanException

Exception thrown when a BeanFactory encounters an invalid bean definition: e.g. in case of incomplete or contradictory bean metadata.

Author:
  Rod Johnson, Juergen Hoeller, Rob Harrop
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BeanDefinitionStoreException(String msg)` Create a new BeanDefinitionStoreException.
`BeanDefinitionStoreException(String resourceDescription, String msg)` Create a new BeanDefinitionStoreException.
`BeanDefinitionStoreException(String resourceDescription, String beanName, String msg)` Create a new BeanDefinitionStoreException.
`BeanDefinitionStoreException(String resourceDescription, String beanName, String msg, Throwable cause)` Create a new BeanDefinitionStoreException.
`BeanDefinitionStoreException(String resourceDescription, String msg, Throwable cause)` Create a new BeanDefinitionStoreException.
`BeanDefinitionStoreException(String msg, Throwable cause)` Create a new BeanDefinitionStoreException.

### Method Summary

Methods
`String` `getBeanName()` Return the name of the bean requested, if any.
`String` `getResourceDescription()` Return the description of the resource that the bean definition came from, if any.

### Methods inherited from class org.springframework.beans.BeansException

`equals, hashCode`

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BeanDefinitionStoreException

    public BeanDefinitionStoreException(String msg)

Create a new BeanDefinitionStoreException.

Parameters:
  `msg` - the detail message (used as exception message as-is)

#### BeanDefinitionStoreException

    public BeanDefinitionStoreException(String msg,
                                Throwable cause)

Create a new BeanDefinitionStoreException.

Parameters:
  `msg` - the detail message (used as exception message as-is)
  `cause` - the root cause (may be `null`)

#### BeanDefinitionStoreException

    public BeanDefinitionStoreException(String resourceDescription,
                                String msg)

Create a new BeanDefinitionStoreException.

Parameters:
  `resourceDescription` - description of the resource that the bean definition came from
  `msg` - the detail message (used as exception message as-is)

#### BeanDefinitionStoreException

    public BeanDefinitionStoreException(String resourceDescription,
                                String msg,
                                Throwable cause)

Create a new BeanDefinitionStoreException.

Parameters:
  `resourceDescription` - description of the resource that the bean definition came from
  `msg` - the detail message (used as exception message as-is)
  `cause` - the root cause (may be `null`)

#### BeanDefinitionStoreException

    public BeanDefinitionStoreException(String resourceDescription,
                                String beanName,
                                String msg)

Create a new BeanDefinitionStoreException.

Parameters:
  `resourceDescription` - description of the resource that the bean definition came from
  `beanName` - the name of the bean requested
  `msg` - the detail message (appended to an introductory message that indicates the resource and the name of the bean)

#### BeanDefinitionStoreException

    public BeanDefinitionStoreException(String resourceDescription,
                                String beanName,
                                String msg,
                                Throwable cause)

Create a new BeanDefinitionStoreException.

Parameters:
  `resourceDescription` - description of the resource that the bean definition came from
  `beanName` - the name of the bean requested
  `msg` - the detail message (appended to an introductory message that indicates the resource and the name of the bean)
  `cause` - the root cause (may be `null`)

### Method Detail

#### getResourceDescription

    public String getResourceDescription()

Return the description of the resource that the bean definition came from, if any.

#### getBeanName

    public String getBeanName()

Return the name of the bean requested, if any.